Bug 814787 - Eclipse JDT compilion issue on Windows when class and package have same name
Eclipse JDT compilion issue on Windows when class and package have same name
Status: MODIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRE (Expert, Fusion) (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity medium
: ---
: BRMS 5.3.0.GA
Assigned To: Tihomir Surdilovic
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-20 12:51 EDT by Mark Proctor
Modified: 2017-07-03 09:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
atangrin: needinfo+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBRULES-3475 Major Closed Eclipse JDT compilion issue on Windows when class and package have same name 2018-06-27 02:41 EDT

  None (edit)
Description Mark Proctor 2012-04-20 12:51:22 EDT
Windows will fail if it has the following situation, because the JCI code is not correctly detecting packages on Windows.
class org.drools.Process
package org/droos/process
Comment 1 Mark Proctor 2012-04-20 12:57:38 EDT
fixed on
master, 5.4.x and 5.3.x

5.3.x commit is here:
https://github.com/droolsjbpm/drools/commit/5cbc628a671e343706369556c5195bdf7b224dbf
Comment 2 JBoss JIRA Server 2012-04-20 13:20:30 EDT
Mark Proctor <mproctor@redhat.com> updated the status of jira JBRULES-3475 to Resolved
Comment 3 JBoss JIRA Server 2012-04-20 13:20:36 EDT
Mark Proctor <mproctor@redhat.com> updated the status of jira JBRULES-3475 to Closed
Comment 4 Ryan Zhang 2012-05-11 07:16:46 EDT
I believe this fix has been committed to project branch which BRMS 5.3 used.

So this requires to request block+ flag or revert in the branch at current phase.
Comment 5 Anne-Louise Tangring 2017-07-03 09:06:14 EDT
Ryan,
I believe we can just close this one, right? 
/Anne-Louise

Note You need to log in before you can comment on or make changes to this bug.